%define pypi_name uritools

Name:           python-uritools
Version:        4.0.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse

License:        MIT
URL:            https://github.com/tkem/uritools/
Source0:        https://pypi.python.org/packages/source/u/uritools/uritools-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.

%package -n     python3-%{pypi_name}
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 4.0.0-3.mga9
+ Revision: 1823659
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 4.0.0-2.mga9
+ Revision: 1784016
- Rebuild for python-3.10

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 4.0.0-1.mga9
+ Revision: 1781288
- version 4.0.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.0.0-2.mga9
+ Revision: 1732492
- Rebuild for python 3.9

* Wed Sep 09 2020 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1623948
- new version 3.0.0

* Sun Feb 16 2020 umeabot <umeabot> 2.2.0-4.mga8
+ Revision: 1531820
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 2.2.0-3.mga8
+ Revision: 1441151
- rebuild for python-3.8

* Sun Sep 15 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1441145
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1354576
- New version

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-5.mga7
+ Revision: 1290450
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.1-4.mga7
+ Revision: 1135678
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.0.1-3.mga6
+ Revision: 972480
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 philippem <philippem> 1.0.1-2.mga6
+ Revision: 899849
- fix wrong requires in Python3 package

* Sat Nov 07 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 898431
- update to 1.0.1

* Thu Oct 08 2015 tv <tv> 0.9.0-2.mga6
+ Revision: 887442
- rebuild for python 3.5

* Sun Nov 23 2014 philippem <philippem> 0.9.0-1.mga5
+ Revision: 798564
- imported package python-uritools

